#  
# Makefiles are added to the Rose RealTime generation or compilation makefiles
# by adding the path and name of the makefile in the "Overrides" field on the
# Component Specification Build > Compilation Make and Build > Code Generation
# Make pages.
#
# ROOT_DIR is actually set in the generated makefile for the model. It is set
# to the output path of the component (as defined in the component). By default
# the output directory is created off of the directory in which the model was
# saved. The setting of EXTERNAL_DIR below assumes that the directory is also
# located in the default location and that the source files to be compiled are
# located in one directory up from the output path.
#
# ============================================================================

EXTERNAL_DIR = D:\RoseRTCases\C++\main_Override_ext
USER_DEPS = main$(OBJ_EXT)
USER_OBJS = main$(OBJ_EXT)

# ============================================================================
#
# The following is required because if the target rules are defined in the
# overrides file then the build will not complete because $(BUILD_TARGET) is
# not the first target of the make.
#
# ============================================================================

LD_HEAD = $(EXEOUT_OPT) $(EXEOUT_TAG)$(LD_OUT) $(LIBSETLDFLAGS)

TheTarget: $(BUILD_TARGET)


main$(OBJ_EXT): $(EXTERNAL_DIR)/main.cc
	$(RTCOMP) -vendor $(VENDOR) -spacify bs -src main $(EXTERNAL_DIR)/main.cc -- \
	$(CC) $(CC_HEAD) $(CCFLAGS) \
	$(INCLUDE_TAG)$(EXTERNAL_DIR) \
	$(EXTERNAL_DIR)/main.cc \
	$(CC_TAIL)

